<template>
  <div>
    <el-dialog
      width="60%"
      title="erp库存信息"
      top="5vh"
      :visible.sync="innerVisible"
      append-to-body
      @close="$emit('update:currshowlist', false)"
      :show="currshowlist"
      class="part-dialog"
    >
      <el-form label-width="80px" class="l-mes">
        <el-row>
          <el-col :span="6">
            <el-form-item label="零件号">
              <el-input v-model="query.partNo" placeholder=""></el-input>
            </el-form-item>
          </el-col>
          <el-col :span="6">
            <el-form-item label="">
              <el-button type="primary" @click="getData">搜索</el-button>
            </el-form-item>
          </el-col>
        </el-row>
      </el-form>

      <ttable
        :table="table"
        @handleSelectionChange="handleSelectionChange"
        :prelang="prelang"
        :options="options"
        :ajaxFun="ajaxFun"
        :paramObj="paramObj"
        ref="table"
      >
        <template #toolbar></template>
      </ttable>
      <span slot="footer" class="dialog-footer">
        <el-button @click="innerVisible = false">取消</el-button>
        <el-button type="primary" v-thinclick="`dataFormSubmit`"
          >确定</el-button
        >
      </span>
    </el-dialog>
  </div>
</template>

<script>
import ttable from '@/views/common/ztt-table.vue'
import { getERPStockListPageByOperation } from '@/api/warehouse/joinstockorder'
export default {
  watch: {
    currshowlist() {
      this.innerVisible = this.currshowlist
      if (this.currshowlist) {
      }
    }
  },
  components: {
    ttable
  },
  props: {
    currshowlist: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      innerVisible: false,
      query: {
        partNo: undefined
      },
      prelang: 'operation',
      multipleSelection: [],
      paramObj: { partNo: '' },
      ajaxFun: getERPStockListPageByOperation,
      options: {
        height: 300, // 默认高度-为了表头固定
        stripe: true, // 是否为斑马纹 table
        highlightCurrentRow: false, // 是否要高亮当前行
        border: true, // 是否有纵向边框
        lazy: false, // 是否需要懒加载
        fit: true, // 列的宽度是否自撑开
        multiSelect: true, //
        seqNo: true,
        isRefresh: true, // 是否显示刷新按钮
        isShowHide: true, // 是否显示显影按钮
        isSearch: false, // 高级查询按钮
        showSummary: false, // 是否进行列合计
        defaultOrderBy: { column: 'id', direction: 'desc' }
      },
      table: {
        total: 0,
        currentPage: 1,
        pageSize: 20,
        data: [],
        column: [
          {
            prop: 'partNo',
            label: '零件号',
            isTrue: true
          },
          {
            prop: 'warehouseName',
            label: '仓库',
            sort: true,
            isTrue: true
          },
          {
            prop: 'num',
            label: '数量',
            sort: true,
            isTrue: true
          },
          {
            prop: 'num',
            label: '单位',
            sort: true,
            isTrue: true
          }
        ]
      }
    }
  },
  methods: {
    // 获取数据列表
    getData() {
      this.paramObj.partNo = this.query.partNo
      this.$refs.table.getDataList()
    },
    handleSelectionChange(val) {
      this.multipleSelection = val
    },
    dataFormSubmit() {
      if (!this.multipleSelection || this.multipleSelection.length == 0) {
        this.$message.error('请选中至少一条数据')
      } else {
        this.$emit('save', this.multipleSelection, true)
      }
    }
  }
}
</script>

<style scoped></style>>
